html {
    scroll-padding-top: 88px;
}

html:has(.header__announce:not([hidden])) {
    scroll-padding-top: 120px;
}

@media (max-width: 990px) {
    html {
        scroll-padding-top: 64px;
    }

    html:has(.header__announce:not([hidden])) {
        scroll-padding-top: 96px;
    }
}
